﻿Public Class index
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'ポストバックのときは処理をしない
        If Me.IsPostBack Then
            Return
        End If

        '商品情報を登録
        Me.dlProduct.Items.Add(New ListItem("鉛筆", "60"))
        Me.dlProduct.Items.Add(New ListItem("ボールペン", "120"))
        Me.dlProduct.Items.Add(New ListItem("消しゴム", "80"))
        Me.dlProduct.Items.Add(New ListItem("定規", "150"))

        '数量情報を登録
        Me.dlQuantity.Items.Add("1")
        Me.dlQuantity.Items.Add("2")
        Me.dlQuantity.Items.Add("3")
        Me.dlQuantity.Items.Add("5")
        Me.dlQuantity.Items.Add("10")
    End Sub

    Protected Sub btnRegist_Click(sender As Object, e As EventArgs) Handles btnRegist.Click
        '選択商品の金額を取得
        Dim price As Integer = Integer.Parse(dlProduct.SelectedValue)

        '個数を取得
        Dim quantity As Integer = Integer.Parse(dlQuantity.SelectedValue)

        '金額を計算
        Dim sum As Integer = price * quantity


        '金額を表示
        Me.lblPrice.Text = sum & "円"

        '送料の表示
        If sum >= 500 Then
            Me.lblPostage.Text = "送料は無料です。"
        Else
            Me.lblPostage.Text = "送料は別途かかります。"
        End If
    End Sub
End Class